Jump to content
Sign in to follow this  
Simon

1.5.1 is now live!

Recommended Posts

Simon

Finally here is version 1.5.1 of PlatformPro. This version is a maintenance release and fixes a couple of bugs and adds a few new filters/hooks. Changelog:

Version 1.5.1 - maintenance release - Bug Fix - Multisite - Updates disabled for non super admins - Bug Fix - Banner links were not linking to banner edit page - API - Better username checking - API - More user friendly error messages - Filters - pagelines_feature_output - Filters - pagelines_post-thumbnails - Filters - pagelines_meta_blacklist - Hooks - pagelines_section_before_postnav - Hooks - pagelines_section_after_postnav - Hooks - pagelines_before_excerpt ------------------------------------- Date: 06-20-2011
If you are on 1.5.0 then make sure your launchpad login details are set under 'misc-settings' and you can enjoy the painless automatic upgrade! If you are still on 1.4.x or less then you will have to use the legacy upgrade procedures. (ftp and renaming folders)

Share this post


Link to post
Share on other sites
adouglas81

Does upgrade happen instantly, or at scheduled time. My Wp indicates update available and credentials are set correctly, but still on 1.5.0, Please advise?

Share this post


Link to post
Share on other sites
puntNL

Same here: credentials set and running 1.5.0 Does this upgrade happen instantly, or at scheduled times?

Share this post


Link to post
Share on other sites
Simon

No you still have to hit the upgrade plugin, just like any other wordpress theme or plugin.

Share this post


Link to post
Share on other sites
Simon

Sorry I meant upgrade button/link, serves me right for pre-coffee replying ;)mpKYt.png

Share this post


Link to post
Share on other sites
adouglas81

under update-themes it says up to date, even though that is not the case.

Share this post


Link to post
Share on other sites
Simon

Whats your launchpad username?

Share this post


Link to post
Share on other sites
Simon

I found your username in the api logs, its sending back 1.5.1 as the version, but no upgrade available because the username and password you have supplied do not match the one in launchpad. Are you sure you put the correct password in? When you change it, click the wordpress themes link, it forces an api refresh.

Share this post


Link to post
Share on other sites
adouglas81

The theme section definitely indicating 1.5.0, quadruple checked password, even changed it. No 1.5.1 showing up as available.

Share this post


Link to post
Share on other sites
Simon

Andrew your not going mad ;) I know what the problem is, making a fix now gimme 5 mins

Share this post


Link to post
Share on other sites
Simon

Ok try now ;) click themes to refresh the api

Share this post


Link to post
Share on other sites
puntNL

well, what did the trick, Simon?

Share this post


Link to post
Share on other sites
Simon

The API script was not checking the products list properly, should be ok now

Share this post


Link to post
Share on other sites
stevenshade

I had some specialized images in the theme's "images" folder, and not it's not loading them on the page. I haven't checked FTP yet to see if they were wiped out by the update, but why would this happen? Also, my feature height seemed to be reset to its original value, until I went into PlatformPro settings (where I saw the height textbox still showed my modified value of 500), simply clicked the Save Settings button, and refreshed the website. Then it loaded and displayed the 500-height feature like it should. Just letting you guys know. Steve

Share this post


Link to post
Share on other sites
Simon

Steven, the wordpress upgrade feature for both themes and plugins ALWAYS wipes the destination folder. Thats why we always insist you use a child theme for any custom code or files, as these will stay intact.

Share this post


Link to post
Share on other sites
stevenshade

No problem, knowing is half the battle :)

Share this post


Link to post
Share on other sites
puntNL

Say, Simon, next to the auto-upgrade and legacy upgrade: could it be possible to remove platformpro (framwork) within wordpress->themes and then just upload the new version 1.5.1 instead? All the customization is within the the base child..right?

Share this post


Link to post
Share on other sites
Simon

WJ yes, you could do it that way, the auto upgrade never touches the base child folders.

Share this post


Link to post
Share on other sites
puntNL

I know that (auto upgrade never touches the base) but I think that for some people, just removing the framework and reloading the newest framework is more practical then setting the auto upgrade mode or the older legacy upgrade mode.

Share this post


Link to post
Share on other sites
Simon

Well look at it this way: The auto upgrade way: User is notified by a notice at top of wp-admin. User clicks upgrade now, then clicks the actual upgrade button. Total: 2 clicks of mouse. The delete reinstall method: User sees upgrade notice at top again, this time there is no upgrade now link as he has not put in user/password. User logs into launchpad and downloads latest package. User switches to 2010 theme. User deletes platformpro. User uploads new version. User activates new version. Total 6 clicks. FTP method no clicks but painfully slow ;) Automation wins ;)

Share this post


Link to post
Share on other sites
thecomputerlab

Help, I am on 1.4.0 and wanting to update read the pageline doc about the rename and i get an error when i try update. Do i rename the zip file ? Do i rename files in the zip ? Do i rename before i try to upload ? The doc says rename it to platformpronew if i do this will it still be reconised when i then wnat to update to 1.5.1 ? Any help apreeciated and sorry if this has been covered somewhere else i have noticed simon on the first post states legacy upgrade procedures. (ftp and renaming folders) Thanks in advance Grant

Share this post


Link to post
Share on other sites
thecomputerlab

OK just been reading this http://www.pagelines.com/docs/upgrading i can follow these no probs but i need clarification, i dont have ant custom code (apart from my rewrite.script) So will all my pictures settings layout be intact when i reload version 1.5.1 Regards, grant

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

Sign in to follow this  

×